# Function selectControlValue$

- selectControlValue$<T, R>(control, mapFn): Observable<R>

- #### Type Parameters

  - T
  - R

  #### Parameters

  - control: RxapFormGroup<T, any> | RxapFormArray<T, any, any> | RxapFormControl<T, any, any>
  - mapFn: ((state) => R)
    - - (state): R

      - #### Parameters

        - state: T

        #### Returns R

  #### Returns Observable<R>

  - Defined in packages/angular/forms/src/lib/control-actions.ts:161